image: trion/ng-cli-karma

cache:
  paths:
    - node_modules/

deploy_stage:
  stage: deploy
  environment: Stage
  only:
    - master
  script:
    - rm ./package-lock.json
    - npm install
    - ./node_modules/@angular/cli/bin/ng build --progress false --prod --base-href taxridt-stage.surge.sh
    - ./node_modules/.bin/surge -p dist/ --domain taxridt-stage.surge.sh
